summaryrefslogtreecommitdiffstats
path: root/system/tracker
diff options
context:
space:
mode:
author Nazarov Michael2013-02-17 20:15:19 +0100
committer Robby Workman2013-02-23 05:27:43 +0100
commitced16cf31e9547029c5f48120981c2abfe59a415 (patch)
tree6a1646e71c385b054eeec492a90d0de84d432013 /system/tracker
parentc541431e4355834db1ca886cc99071097f669389 (diff)
downloadslackbuilds-ced16cf31e9547029c5f48120981c2abfe59a415.tar.gz
system/tracker: Added (semantic data storage search engine)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/tracker')
-rw-r--r--system/tracker/README13
-rw-r--r--system/tracker/doinst.sh15
-rw-r--r--system/tracker/slack-desc19
-rw-r--r--system/tracker/tracker.SlackBuild97
-rw-r--r--system/tracker/tracker.info10
5 files changed, 154 insertions, 0 deletions
diff --git a/system/tracker/README b/system/tracker/README
new file mode 100644
index 0000000000..57f7f594eb
--- /dev/null
+++ b/system/tracker/README
@@ -0,0 +1,13 @@
+Tracker is a search engine and that allows the user to find their
+data as fast as possible. Users can search for their files and
+search for content in their files too.
+
+Tracker is a semantic data storage for desktop and mobile devices.
+Tracker uses W3C standards for RDF ontologies using Nepomuk with
+SPARQL to query and update the data.
+
+Tracker is a central repository of user information, that provides
+two big benefits for the desktop; shared data between applications
+and information which is relational to other information (for
+example: mixing contacts with files, locations, activities and
+etc.).
diff --git a/system/tracker/doinst.sh b/system/tracker/doinst.sh
new file mode 100644
index 0000000000..0254ea06d8
--- /dev/null
+++ b/system/tracker/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/system/tracker/slack-desc b/system/tracker/slack-desc
new file mode 100644
index 0000000000..063dedd3bc
--- /dev/null
+++ b/system/tracker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tracker: tracker (semantic data storage search engine)
+tracker:
+tracker: Tracker is a search engine and that allows the user to find their
+tracker: data as fast as possible. Users can search for their files and search
+tracker: for content in their files too. Tracker is a semantic data storage
+tracker: for desktop and mobile devices. Tracker uses W3C standards for RDF
+tracker: ontologies using Nepomuk with SPARQL to query and update the data.
+tracker: Tracker is a central repository of user information, that provides
+tracker: two big benefits for the desktop; shared data between applications
+tracker: and information which is relational to other information (e.g. mixing
+tracker: contacts with files, locations, activities and etcetera).
diff --git a/system/tracker/tracker.SlackBuild b/system/tracker/tracker.SlackBuild
new file mode 100644
index 0000000000..617a1e1a14
--- /dev/null
+++ b/system/tracker/tracker.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for Tracker
+
+# Copyright 2013 Nazarov Micahel <zlob@mail.ru> Samara,Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tracker
+VERSION=${VERSION:-0.15.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tracker/tracker.info b/system/tracker/tracker.info
new file mode 100644
index 0000000000..fb089e12ec
--- /dev/null
+++ b/system/tracker/tracker.info
@@ -0,0 +1,10 @@
+PRGNAM="tracker"
+VERSION="0.15.2"
+HOMEPAGE="http://projects.gnome.org/tracker/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/tracker/0.15/tracker-0.15.2.tar.xz"
+MD5SUM="dc28cac7eb36b5755cf7b4209b363956"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nazarov Michael"
+EMAIL="zlob@mail.ru"